Subject: Re: [PATCH 2.6.12.1 5/12] S2io: Performance improvements

From: "'Christoph Hellwig'" <[email-masked]>
Date: Wed, 3 Aug 2005 00:26:45 +0100

On Tue, Aug 02, 2005 at 04:13:57PM -0700, Ravinandan Arakali wrote:
> Hi Christoph,
> Following is SGI's stand on this issue:
> 
> SGI recommends that customers use the -sn2 kernel. This is the kernel 
> that is installed by our factory when we ship systems. The -sn2 
> kernel is also the kernel that must be run if the Altix has more that 
> 128 CPUs. So I'd be surprised it the majority of the Altix systems in 
> the field are not running the -sn2 kernel.

The my argument is wrong for SuSE ;-)  This still needs to be a runtime
switch though, not just for this reason.  Platform ifdefs are not the
way to go.